﻿@model NewFlowViewModel

@{
    ViewBag.Title = "Create flow";
    Layout = "_Layout";
}

<div class="container">
    <div class="row">
        <h3 class="text-center">Stel een flow op</h3>
        <form asp-action="Create" asp-controller="Flow" method="post">
            <input type="hidden" asp-for="ProjectId"/>
            <div class="mb-3">
                <div class="form-group">
                    <label asp-for="Name" class="control-label">Naam:</label>
                    <input asp-for="Name" class="form-control"/>
                    <span asp-validation-for="Name" class="text-danger"></span>
                </div>
                <br/>
                <div class="form-group">
                    <label asp-for="Type" class="control-label">Maak een keuze:</label><br>
                    <select asp-for="Type" class="form-control" required>
                        <option value="lineair">Lineair</option>
                        <option value="circulair">Circulair</option>
                    </select><br>
                    <span asp-validation-for="Type" class="text-danger"></span>
                </div>

                <div class="form-group">
                    <label asp-for="Description" class="control-label">Beschrijving:</label>
                    <input asp-for="Description" class="form-control"/>
                    <span asp-validation-for="Description" class="text-danger"></span>
                </div>
            </div>
            <br/>
            <div class="form-group">
                <button type="submit" class="btn btn-primary" id="flowBtn">+ Vraag</button>
            </div>
        </form>
    </div>
</div>